package Login;

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
import Service.EmployeeService;
import java.awt.Color;
import java.awt.Font;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import mainPage.mainPage;
import model.Employee;

/**
 *
 * @author KHANOMMECOM
 */
public class LoginFrame extends javax.swing.JFrame {

    private final EmployeeService empService = new EmployeeService();
    private Employee emp;
    private mainPage main;

    /**
     * Creates new form LogiFream
     */
    public LoginFrame() {

        initComponents();
        txtBackground.setIcon(new ImageIcon("img/coffee 1.png"));
        txtLogo.setIcon(new ImageIcon("img/Dcoffelogo 1.png"));
        txtUser.requestFocus();
        UIManager.put("OptionPane.messageFont", new Font("Tahoma", Font.BOLD, 14));
        txtUser.setBackground(new java.awt.Color(0, 0, 0, 1));
        pwsPassword.setBackground(new java.awt.Color(0, 0, 0, 1));
        rdbStaff.setSelected(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel2 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        txtUser = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        rdbManager = new javax.swing.JRadioButton();
        rdbStaff = new javax.swing.JRadioButton();
        btnClose = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        pwsPassword = new javax.swing.JPasswordField();
        btnClear = new javax.swing.JButton();
        btnOK = new javax.swing.JButton();
        txtLogo = new javax.swing.JLabel();
        txtBackground = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Login");
        setLocation(new java.awt.Point(350, 150));
        setUndecorated(true);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jPanel2.setBackground(new java.awt.Color(126, 110, 82));
        jPanel2.setForeground(new java.awt.Color(255, 255, 255));
        jPanel2.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel2.setFont(new java.awt.Font("Segoe UI", 1, 36)); // NOI18N
        jLabel2.setForeground(new java.awt.Color(255, 255, 255));
        jLabel2.setText("Login");
        jPanel2.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(150, 60, -1, -1));

        jLabel3.setFont(new java.awt.Font("Segoe UI", 1, 14)); // NOI18N
        jLabel3.setForeground(new java.awt.Color(255, 255, 255));
        jLabel3.setText("Username ");
        jPanel2.add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 170, -1, -1));

        jLabel4.setFont(new java.awt.Font("Segoe UI", 1, 14)); // NOI18N
        jLabel4.setForeground(new java.awt.Color(255, 255, 255));
        jLabel4.setText("Password");
        jPanel2.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 250, -1, -1));

        txtUser.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        txtUser.setForeground(new java.awt.Color(255, 255, 255));
        txtUser.setBorder(null);
        txtUser.setCaretColor(new java.awt.Color(255, 255, 255));
        txtUser.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                txtUserFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                txtUserFocusLost(evt);
            }
        });
        txtUser.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseExited(java.awt.event.MouseEvent evt) {
                txtUserMouseExited(evt);
            }
        });
        txtUser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtUserActionPerformed(evt);
            }
        });
        jPanel2.add(txtUser, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 190, 240, 30));

        jLabel5.setForeground(new java.awt.Color(255, 255, 255));
        jLabel5.setText("_____________________________________");
        jPanel2.add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 200, -1, 30));

        jLabel6.setForeground(new java.awt.Color(255, 255, 255));
        jLabel6.setText("______________________________________");
        jPanel2.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 280, 270, 20));

        buttonGroup1.add(rdbManager);
        rdbManager.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        rdbManager.setForeground(new java.awt.Color(255, 255, 255));
        rdbManager.setText("Manager");
        rdbManager.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        rdbManager.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdbManagerActionPerformed(evt);
            }
        });
        jPanel2.add(rdbManager, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 330, -1, -1));

        buttonGroup1.add(rdbStaff);
        rdbStaff.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        rdbStaff.setForeground(new java.awt.Color(255, 255, 255));
        rdbStaff.setText("Staff");
        rdbStaff.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jPanel2.add(rdbStaff, new org.netbeans.lib.awtextra.AbsoluteConstraints(250, 330, -1, -1));

        btnClose.setBackground(new java.awt.Color(84, 70, 63));
        btnClose.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnClose.setForeground(new java.awt.Color(255, 255, 255));
        btnClose.setText("X");
        btnClose.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCloseActionPerformed(evt);
            }
        });
        jPanel2.add(btnClose, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 10, 40, 30));

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel7.setForeground(new java.awt.Color(255, 255, 255));
        jLabel7.setText("หากลืมรหัสผ่าน โปรดติดต่อผู้จัดการ");
        jPanel2.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(100, 460, -1, 20));

        pwsPassword.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        pwsPassword.setForeground(new java.awt.Color(255, 255, 255));
        pwsPassword.setBorder(null);
        pwsPassword.setCaretColor(new java.awt.Color(255, 255, 255));
        pwsPassword.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                pwsPasswordFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                pwsPasswordFocusLost(evt);
            }
        });
        pwsPassword.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pwsPasswordActionPerformed(evt);
            }
        });
        jPanel2.add(pwsPassword, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 270, 240, 30));

        btnClear.setBackground(new java.awt.Color(84, 70, 63));
        btnClear.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnClear.setForeground(new java.awt.Color(255, 255, 255));
        btnClear.setText("Clear");
        btnClear.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnClear.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnClearActionPerformed(evt);
            }
        });
        jPanel2.add(btnClear, new org.netbeans.lib.awtextra.AbsoluteConstraints(200, 370, 110, 30));

        btnOK.setBackground(new java.awt.Color(84, 70, 63));
        btnOK.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnOK.setForeground(new java.awt.Color(255, 255, 255));
        btnOK.setText("OK");
        btnOK.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnOK.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnOKActionPerformed(evt);
            }
        });
        jPanel2.add(btnOK, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 370, 110, 30));

        getContentPane().add(jPanel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 0, 390, 520));

        txtLogo.setIcon(new javax.swing.ImageIcon("E:\\3-1\\SoftDev\\d_coffee\\img\\Dcoffelogo 1.png")); // NOI18N
        getContentPane().add(txtLogo, new org.netbeans.lib.awtextra.AbsoluteConstraints(40, 60, 410, 360));

        txtBackground.setIcon(new javax.swing.ImageIcon("E:\\3-1\\SoftDev\\d_coffee\\img\\coffee 1.png")); // NOI18N
        getContentPane().add(txtBackground, new org.netbeans.lib.awtextra.AbsoluteConstraints(-10, -10, 900, 530));

        jLabel1.setBackground(new java.awt.Color(255, 255, 255));
        getContentPane().add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, 500));
        getContentPane().add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 70, 390, 350));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void rdbManagerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdbManagerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdbManagerActionPerformed
    public void setMainPage(mainPage main) {
        this.main = main;
    }

    private void btnCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCloseActionPerformed
        this.dispose();
    }//GEN-LAST:event_btnCloseActionPerformed

    private void pwsPasswordActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pwsPasswordActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_pwsPasswordActionPerformed

    private void btnOKActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnOKActionPerformed
        if (rdbManager.isSelected()) {
            emp = empService.getEmployeeByLoginDetail(txtUser.getText(), String.valueOf(pwsPassword.getPassword()), "1");
        } else if (rdbStaff.isSelected()) {
            emp = empService.getEmployeeByLoginDetail(txtUser.getText(), String.valueOf(pwsPassword.getPassword()), "2");
        }
        if (emp == null) {
            JOptionPane.showMessageDialog(null, "ไม่สามารถเข้าสู่ระบบได้ เนื่องจากชื่อผู้ใช้ รหัสผ่าน หรือประเภทผู้ใช้ไม่ถูกต้อง", "ไม่สามารถเข้าสู่ระบบได้", JOptionPane.WARNING_MESSAGE);
        } else {
            JOptionPane.showMessageDialog(null, "เข้าสู่ระบบสำเร็จ", "เข้าสู่ระบบสำเร็จ", JOptionPane.INFORMATION_MESSAGE);
            main = new mainPage();
            main.setVisible(true);
            main.setEmployee(emp);
            main.displayEmployee();
            this.setVisible(false);
        }
    }//GEN-LAST:event_btnOKActionPerformed

    private void btnClearActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnClearActionPerformed
        txtUser.setText("");
        pwsPassword.setText("");
    }//GEN-LAST:event_btnClearActionPerformed

    private void pwsPasswordFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_pwsPasswordFocusGained

    }//GEN-LAST:event_pwsPasswordFocusGained

    private void pwsPasswordFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_pwsPasswordFocusLost

    }//GEN-LAST:event_pwsPasswordFocusLost

    private void txtUserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtUserActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtUserActionPerformed

    private void txtUserMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_txtUserMouseExited

    }//GEN-LAST:event_txtUserMouseExited

    private void txtUserFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtUserFocusLost

    }//GEN-LAST:event_txtUserFocusLost

    private void txtUserFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_txtUserFocusGained

    }//GEN-LAST:event_txtUserFocusGained

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(LoginFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(LoginFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(LoginFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(LoginFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new LoginFrame().setVisible(true);

            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnClear;
    private javax.swing.JButton btnClose;
    private javax.swing.JButton btnOK;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPasswordField pwsPassword;
    private javax.swing.JRadioButton rdbManager;
    private javax.swing.JRadioButton rdbStaff;
    private javax.swing.JLabel txtBackground;
    private javax.swing.JLabel txtLogo;
    private javax.swing.JTextField txtUser;
    // End of variables declaration//GEN-END:variables
}
